import React from 'react';
import { Global } from '@emotion/react';
import { PageContextProvider } from '../utils/context/PageContext';

import 'reset-css';

const Layout = ({ children, pageContext }) => {
  console.log(`pageContext`, pageContext);
  return (
    <PageContextProvider locale="en">
      <Global
        styles={{
          body: {
            WebkitTextSizeAdjust: '100%',
            width: '100%',
            height: '100%',
            position: 'relative'
          },
          '*|*:link': {
            textDecoration: 'inherit',
            color: 'inherit'
          },
          '*': {
            WebkitFontSmoothing: 'antialiased',
            textRendering: 'optimizeLegibility',
            MozOsxFontSmoothing: 'grayscale'
          }
        }}
      />
      {children}
    </PageContextProvider>
  );
};

export default Layout;
