import { useStaticQuery, graphql } from 'gatsby';
export const useSiteMetadata = () => {
  const data = useStaticQuery(
    graphql`
      query {
        site {
          siteMetadata {
            title
            description
            author
            url
            shortTitle
            shortDescription
            locales {
              default
              #     translations {
              #      code
              #     pathPrefix
              #     hreflang
              #    }
            }
            # translatedPaths {
            #   default
            #   deDE
            #  }
          }
        }
      }
    `
  );

  return data.site.siteMetadata;
};
